#ifndef GAMEMODEL_HPP_INCLUDED
#define GAMEMODEL_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

class GameModel : public Object
{
    public:
        GameModel();
        GameModel(const void* Obj);
        GameModel(const GameModel& G);
        static Class GetClass();

        std::int32_t GetAngle() const;
        std::int32_t GetFlags() const;
        std::int32_t GetHash() const;
        std::int32_t GetHeight() const;
        std::int32_t GetOffsetX() const;
        std::int32_t GetOffsetY() const;
        std::int32_t GetPlane() const;
        std::int32_t GetRelativeX() const;
        std::int32_t GetRelativeY() const;
        Renderable GetRenderable() const;
        std::int32_t GetX() const;
        std::int32_t GetY() const;

};

#endif // GAMEMODEL_HPP_INCLUDED
